Saltar al contenido principal
GET
/
api
/
v1
/
loan-accounts
/
{id}
/
audit-events
Listar los eventos de auditoría de la cuenta de préstamo
curl --request GET \
  --url https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/audit-events \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/audit-events"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/audit-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "amount": "<string>",
      "eventType": "<string>",
      "lineage": [
        {
          "relation": "<string>",
          "transactionId": "<string>"
        }
      ],
      "occurredAt": "<string>",
      "operatorNote": "<string>",
      "sequence": 123,
      "scheduleVersionId": "<string>",
      "transactionId": "<string>"
    }
  ],
  "operatorSummary": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

JWT bearer token issued by the identity provider.

Parámetros de ruta

id
string<uuid>
requerido

Loan account identifier (UUID).

Ejemplo:

"550e8400-e29b-41d4-a716-446655440000"

Parámetros de consulta

limit
integer<int64>
predeterminado:50

Maximum audit events to return (1–100, default 50).

Rango requerido: 1 <= x <= 100
Ejemplo:

50

Respuesta

OK

data
object[] | null
requerido

Ordered immutable audit history events.

operatorSummary
string
requerido

Human-readable operator summary of the audit history.